spring.application.name=broker-enablement-service
spring.jpa.properties.hibernate.default_schema=broker_enablement_db
server.port=8080

uploads=/data/files/broker-enablement-service

graphql.spqr.gui.enabled=true

adias.fta.search.enableIndexationAtStartup=false
adias.search.enableIndexationAtStartup=false
alis.aggregate.publication.enabled=false
alis.aggregate.ids.publication.enabled=true

spring.liquibase.enabled=true
spring.liquibase.contexts=dev

#aggregate ids topic
spring.cloud.stream.bindings.es-partial-index-in.destination=es-aggregate-ids-topic-old
spring.cloud.stream.bindings.es-aggregate-ids-topic.destination=es-aggregate-ids-topic-old

adias.security.urop-store.url=http://urop-svc/api/v1/
urop-svc.ribbon.listOfServers=urop-store:80
spring.cloud.loadbalancer.ribbon.enabled=true
spring.cloud.consul.enabled=false
#YYYY-MM-DD
broker.date.regex.ymd =([0-9]{4})\\-([0-1]?[0-9])\\-([0-3]?[0-9])
#DD-MM-YYYY
broker.date.regex.dmy =([0-3]?[0-9])\\-([0-1]?[0-9])\\-([0-9]{4})
#YYYY-MM-DD'T'HH:MM:SS ISO 8601
broker.local.date.time.regex =([0-9]{4})\\-([0-1]?[0-9])\\-([0-3]?[0-9])(['T'][0-9]{2}\\:[0-9]{2}\\:[0-9]{2})
#e-Globalization
mytower.lib.storage.s3.endpoint-override=https://s3.fr-par.scw.cloud
mytower.lib.storage.s3.region=fr-par
mytower.lib.storage.s3.bucket=braskem
mytower.lib.storage.s3.access-key=SCWGAQNMM7TM4BPEVC1B
mytower.lib.storage.s3.secret-key=24b60024-a858-447a-b359-42e1e4cc0579

broker.xml.out.generation.root.directory=VIB_SOFTPAK_e-Globalization/
broker.xml.out.generation.default.directory=uat/out/
broker.xml.out.upload.default.directory=uploads/uat/

adias.security.pre-auth.enabled=false
#keycloak
keycloak.enabled=true
keycloak.realm=braskem
keycloak.ssl-required=none
keycloak.resource=broker-enablement
keycloak.credentials.secret=bfeb6097-feea-416d-9460-70b166639fdb
keycloak.use-resource-role-mappings=false
keycloak.bearer-only=true
keycloak.principal-attribute=preferred_username
